# Class: YARD::Handlers::C::InitHandler

Inherits:
  Base
  - Object
  - Base
  - Base
  - YARD::Handlers::C::InitHandler
  show all

Defined in:
  lib/yard/handlers/c/init_handler.rb

## Overview

Handles the Init_Libname() method

Since:

- 0.8.0

## Constant Summary collapse

MATCH =

Since:

- 0.8.0

      /\A\s*(?:\S+\s+)*void\s+(?:[Ii]nit_)?(\w+)\s*/

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Instance Method Summary collapse

- #process ⇒ void

  Main processing callback.

### Methods included from HandlerMethods

#handle_alias, #handle_attribute, #handle_class, #handle_constants, #handle_method, #handle_module

### Methods included from YARD::Handlers::Common::MethodHandler

#add_predicate_return_tag

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type

## Constructor Details

This class inherits a constructor from YARD::Handlers::Base

## Instance Method Details

### #process ⇒ `void`

This method returns an undefined value.

Main processing callback

    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    # File 'lib/yard/handlers/c/init_handler.rb', line 8

    process do
      parse_block
      decl = statement.declaration[MATCH, 1]
      if decl
        ns = namespace_for_variable(decl)
        if ns.is_a?(YARD::CodeObjects::NamespaceObject) && ns.docstring.blank?
          if statement.comments
            register_docstring(ns, statement.comments.source, statement)
          end
        end
      end
    end